## mysql-cluster-community 7.5.25

=== debian/changelog ===
mysql-cluster-community (7.5.25-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-37.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Tue, 11 Jan 2022 07:10:27 +0000
