## mysql-cluster-community 7.5.27

=== debian/changelog ===
mysql-cluster-community (7.5.27-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-39.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Mon, 13 Jun 2022 15:23:07 +0000
