=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Copyright (c) 2015, 2021, Oracle and/or its affiliates.
+# Copyright (c) 2015, 2022, Oracle and/or its affiliates.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2.0,
@@ -53,13 +53,13 @@
 		-DINSTALL_SUPPORTFILESDIR=share/mysql \
 		-DSYSCONFDIR=/etc/mysql \
 		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
--DWITH_SSL=/var/lib/pb2/sb_1-6467218-1647872696.56/dep2 \
+-DWITH_SSL=/var/lib/pb2/sb_1-7406310-1655133740.3/dep2 \
 		-DWITH_INNODB_MEMCACHED=1 \
 		-DWITH_MECAB=system \
 		-DWITH_NUMA=ON \
 		-DCOMPILATION_COMMENT="MySQL Cluster Community Server (GPL)" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-6467218-1647872696.56/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7406310-1655133740.3/master-export-1921728 \
 		-DDEB_PRODUCT=cluster-community \
 		
 
@@ -82,13 +82,13 @@
 		-DINSTALL_SUPPORTFILESDIR=share/mysql \
 		-DSYSCONFDIR=/etc/mysql \
 		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
--DWITH_SSL=/var/lib/pb2/sb_1-6467218-1647872696.56/dep2 \
+-DWITH_SSL=/var/lib/pb2/sb_1-7406310-1655133740.3/dep2 \
 		-DWITH_INNODB_MEMCACHED=1 \
 		-DWITH_MECAB=system \
 		-DWITH_NUMA=ON \
 		-DCOMPILATION_COMMENT="MySQL Cluster Community Server (GPL)" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-6467218-1647872696.56/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7406310-1655133740.3/master-export-1921728 \
 		-DDEB_PRODUCT=cluster-community \
