## mysql-cluster-community 7.5.28

=== debian/changelog ===
mysql-cluster-community (7.5.28-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-40.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Mon, 05 Sep 2022 12:23:47 +0000
