## mysql-cluster-community 7.5.29

=== debian/changelog ===
mysql-cluster-community (7.5.29-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-41.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Tue, 13 Dec 2022 13:13:10 +0000
