=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Pre-depends: debconf (>= 0.2.17), adduser
 Depends: mysql-common (>= ${binary:Version}), mysql-client (= ${binary:Version}), perl, psmisc,
  ${shlibs:Depends}, ${misc:Depends}
-Breaks: mysql-common (<< 5.7.14), mysql-cluster-community-client (<< 5.7)
+Breaks: mysql-common (<< 5.7.14)
 Conflicts: mysql,
  mysql-server-5.0, mysql-server-core-5.0,
  mysql-server-5.1, mysql-server-core-5.1,
@@ -31,18 +31,13 @@
  mysql-server-5.6, mysql-server-core-5.6,
  mysql-server-5.7, mysql-server-core-5.7,
  mysql-cluster-commercial-server,
- mysql-community-server, mysql-commercial-server,
- mariadb-server-5.5, mariadb-server-core-5.5,
- mariadb-server-10.0, mariadb-server-core-10.0,
- mariadb-server-10.1, mariadb-server-core-10.1,
- mariadb-server-10.2, mariadb-server-core-10.2
+ mysql-community-server, mysql-commercial-server
 Replaces: mysql,
  mysql-server-5.0, mysql-server-core-5.0,
  mysql-server-5.1, mysql-server-core-5.1,
  mysql-server-5.5, mysql-server-core-5.5,
  mysql-server-5.6, mysql-server-core-5.6,
  mysql-server-5.7, mysql-server-core-5.7,
- mysql-cluster-community-client (<< 5.7),
  mysql-cluster-commercial-server,
  mysql-community-server, mysql-commercial-server,
  mysql-common (<< 5.7.14)
@@ -78,11 +73,7 @@
  mysql-client-5.6, mysql-client-core-5.6,
  mysql-client-5.7, mysql-client-core-5.7,
  mysql-cluster-commercial-client,
- mysql-community-client, mysql-commercial-client,
- mariadb-client-5.5, mariadb-client-core-5.5,
- mariadb-client-10.0, mariadb-client-core-10.0,
- mariadb-client-10.1, mariadb-client-core-10.1,
- mariadb-client-10.2, mariadb-client-core-10.2
+ mysql-community-client, mysql-commercial-client
 Replaces: mysql,
  mysql-client-5.0, mysql-client-core-5.0,
  mysql-client-5.1, mysql-client-core-5.1,
@@ -184,14 +175,12 @@
 Architecture: any
 Depends: mysql-cluster-community-server (= ${binary:Version}),
  mysql-cluster-community-client (= ${binary:Version}), python,
- libmysqlclient-dev, ${shlibs:Depends}, ${misc:Depends},
- mysql-cluster-community-data-node (= ${binary:Version}), mysql-cluster-community-management-server (= ${binary:Version})
+ libmysqlclient-dev, ${shlibs:Depends}, ${misc:Depends}, mysql-cluster-community-data-node (= ${binary:Version}), mysql-cluster-community-management-server (= ${binary:Version})
 Breaks: mysql-cluster-community-server (<< 5.7.14),
  mysql-cluster-community-client (<< 5.7.14)
 Conflicts: mysql,
  mysql-testsuite-5.0, mysql-testsuite-5.1, mysql-testsuite-5.5,
- mysql-testsuite-5.6, mysql-testsuite-5.7, mysql-cluster-commercial-test,
- mariadb-test, mariadb-test-data
+ mysql-testsuite-5.6, mysql-testsuite-5.7, mysql-cluster-commercial-test
 Description: MySQL Test Run MTR - The MySQL testsuite
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
@@ -262,3 +251,16 @@
  concept to object-relational mapping persistence frameworks such as
  Hibernate and JPA.
  .
+ ClusterJPA is an OpenJPA implementation for MySQL Cluster that
+ attempts to offer the best possible performance by leveraging the
+ strengths of both ClusterJ and JDBC
+
+Package: mysql-cluster-community-memcached
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-cluster-community-server
+Description: memcached
+ This package contains the standard memcached server and a loadable
+ storage engine for memcached using the Memcache API for MySQL Cluster
+ to provide a persistent MySQL Cluster data store.
+
+Package: mysql-cluster-community-nodejs
